# Template file for 'gstreamer-devel'.
#
short_desc="${sourcepkg} development files"
long_desc="${long_desc}

 This package contains files for development, headers, static libs, etc."

Add_dependency run pkg-config
Add_dependency run libxml2-devel
Add_dependency run glib-devel
Add_dependency run gstreamer

do_install()
{
	local lver="0.10"

	mkdir -p ${DESTDIR}/usr/lib/gstreamer-${lver}
	mkdir -p ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/usr/include ${DESTDIR}/usr
	mv ${SRCPKGDESTDIR}/usr/lib/lib*.a ${DESTDIR}/usr/lib
	mv ${SRCPKGDESTDIR}/usr/lib/pkgconfig ${DESTDIR}/usr/lib
	mv ${SRCPKGDESTDIR}/usr/share/gtk-doc ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/usr/share/aclocal ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/usr/libexec ${DESTDIR}/usr
	mv ${SRCPKGDESTDIR}/usr/share/gir* ${DESTDIR}/usr/share
}
